library("plyr")
library(phyloseq)
library(vegan)

WGSpercentMD <- read.table(file="/Users/CMMR/Desktop/MP139_SUPERMETADATA_noWGSpercentNAs.txt", header = TRUE, sep = "\t")

#To subset by age
md3to6 <- subset(WGSpercentMD, ExactAgeinMonths >= 3 & ExactAgeinMonths < 6)
md3to6 <- plyr::ddply(md3to6, 'SubjectMaskId', head, n=1)
md7to10 <- subset(WGSpercentMD, ExactAgeinMonths >= 7 & ExactAgeinMonths < 10)
md7to10 <- plyr::ddply(md7to10, 'SubjectMaskId', head, n=1)
md11to14 <- subset(WGSpercentMD, ExactAgeinMonths >= 11 & ExactAgeinMonths < 14)
md11to14 <- plyr::ddply(md11to14, 'SubjectMaskId', head, n=1)
md15to18 <- subset(WGSpercentMD, ExactAgeinMonths >= 15 & ExactAgeinMonths < 18)
md15to18 <- plyr::ddply(md15to18, 'SubjectMaskId', head, n=1)
md19to22 <- subset(WGSpercentMD, ExactAgeinMonths >= 19 & ExactAgeinMonths < 22)
md19to22 <- plyr::ddply(md19to22, 'SubjectMaskId', head, n=1)
md23to26 <- subset(WGSpercentMD, ExactAgeinMonths >= 23 & ExactAgeinMonths < 26)
md23to26 <- plyr::ddply(md23to26, 'SubjectMaskId', head, n=1)
md27to30 <- subset(WGSpercentMD, ExactAgeinMonths >= 27 & ExactAgeinMonths < 30)
md27to30 <- plyr::ddply(md27to30, 'SubjectMaskId', head, n=1)
md31to34 <- subset(WGSpercentMD, ExactAgeinMonths >= 31 & ExactAgeinMonths < 34)
md31to34 <- plyr::ddply(md31to34, 'SubjectMaskId', head, n=1)
md35to38 <- subset(WGSpercentMD, ExactAgeinMonths >= 35 & ExactAgeinMonths < 38)
md35to38 <- plyr::ddply(md35to38, 'SubjectMaskId', head, n=1)
md39plus <- subset(WGSpercentMD, ExactAgeinMonths >= 39)
md39plus <- plyr::ddply(md39plus, 'SubjectMaskId', head, n=1)

#Set desired comparison
WGSpercentMD <- md39plus

#Commands (Use AlphaDiversity.py to generate commands specific for all different categories)
(ObsFungiR3K.Cat <- kruskal.test(WGSpercent ~ ObsFungiR3K.Cat, data=WGSpercentMD))
(ShanFungiR3K.Cat <- kruskal.test(WGSpercent ~ ShanFungiR3K, data=WGSpercentMD))
(Obs16SR3K.Cat <- kruskal.test(WGSpercent ~ Obs16SR3K.Cat, data=WGSpercentMD))
(Shan16SR3K.Cat <- kruskal.test(WGSpercent ~ Shan16SR3K.Cat, data=WGSpercentMD))
(DMM <- kruskal.test(WGSpercent ~ DMM, data=WGSpercentMD))
(WhereFamilyLives <- kruskal.test(WGSpercent ~ WhereFamilyLives, data=WGSpercentMD))
(Clinical.Center <- kruskal.test(WGSpercent ~ Clinical.Center, data=WGSpercentMD))
(Clinical.Country <- kruskal.test(WGSpercent ~ Clinical.Country, data=WGSpercentMD))
(Continent <- kruskal.test(WGSpercent ~ Continent, data=WGSpercentMD))
(Sex <- kruskal.test(WGSpercent ~ Sex, data=WGSpercentMD))
(Gest.Age.Rough <- kruskal.test(WGSpercent ~ Gest.Age.Rough, data=WGSpercentMD))
(BabysLengthCat <- kruskal.test(WGSpercent ~ BabysLengthCat, data=WGSpercentMD))
(BabysWeightClass <- kruskal.test(WGSpercent ~ BabysWeightClass, data=WGSpercentMD))
(ApgarClass <- kruskal.test(WGSpercent ~ ApgarClass, data=WGSpercentMD))
(PreEclampsiaOrToxemia <- kruskal.test(WGSpercent ~ PreEclampsiaOrToxemia, data=WGSpercentMD))
(Birth.Mode <- kruskal.test(WGSpercent ~ Birth.Mode, data=WGSpercentMD))
(Birth.Mode.Simple <- kruskal.test(WGSpercent ~ Birth.Mode.Simple, data=WGSpercentMD))
(Birth.Season <- kruskal.test(WGSpercent ~ Birth.Season, data=WGSpercentMD))
(FdrName <- kruskal.test(WGSpercent ~ FdrName, data=WGSpercentMD))
(HLA.CategoryLong <- kruskal.test(WGSpercent ~ HLA.CategoryLong, data=WGSpercentMD))
(IA.OutcomeYesNoCorrected <- kruskal.test(WGSpercent ~ IA.OutcomeYesNoCorrected, data=WGSpercentMD))
(T1D.OutcomeYesNoCorrected <- kruskal.test(WGSpercent ~ T1D.OutcomeYesNoCorrected, data=WGSpercentMD))
(ProbioticsFive <- kruskal.test(WGSpercent ~ ProbioticsFive, data=WGSpercentMD))
(EverProbioticsYesNo <- kruskal.test(WGSpercent ~ EverProbioticsYesNo, data=WGSpercentMD))
(AbxTenState <- kruskal.test(WGSpercent ~ AbxTenState, data=WGSpercentMD))
(AbxName <- kruskal.test(WGSpercent ~ AbxName, data=WGSpercentMD))
(Amoxicillin <- kruskal.test(WGSpercent ~ Amoxicillin, data=WGSpercentMD))
(InfEpTen <- kruskal.test(WGSpercent ~ InfEpTen, data=WGSpercentMD))
(InfEpTenFever <- kruskal.test(WGSpercent ~ InfEpTenFever, data=WGSpercentMD))
(BothInfFev <- kruskal.test(WGSpercent ~ BothInfFev, data=WGSpercentMD))
(SpecialDiets <- kruskal.test(WGSpercent ~ SpecialDiets, data=WGSpercentMD))
(JustCowsMilkAvoidance <- kruskal.test(WGSpercent ~ JustCowsMilkAvoidance, data=WGSpercentMD))
(JustVegetarian <- kruskal.test(WGSpercent ~ JustVegetarian, data=WGSpercentMD))
(JustCerealOrWheatAvoidanceOrGlutenFree <- kruskal.test(WGSpercent ~ JustCerealOrWheatAvoidanceOrGlutenFree, data=WGSpercentMD))
(Breastfeeding <- kruskal.test(WGSpercent ~ Breastfeeding, data=WGSpercentMD))
(formula.any <- kruskal.test(WGSpercent ~ formula.any, data=WGSpercentMD))
(first.form.process <- kruskal.test(WGSpercent ~ first.form.process, data=WGSpercentMD))
(formula.cows.milk <- kruskal.test(WGSpercent ~ formula.cows.milk, data=WGSpercentMD))
(formula.soy <- kruskal.test(WGSpercent ~ formula.soy, data=WGSpercentMD))
(formula.probiotic <- kruskal.test(WGSpercent ~ formula.probiotic, data=WGSpercentMD))
(formula.prebiotic <- kruskal.test(WGSpercent ~ formula.prebiotic, data=WGSpercentMD))
(apple.sauce.or.apple.juice <- kruskal.test(WGSpercent ~ apple.sauce.or.apple.juice, data=WGSpercentMD))
(fruit.or.berries <- kruskal.test(WGSpercent ~ fruit.or.berries, data=WGSpercentMD))
(potatoes <- kruskal.test(WGSpercent ~ potatoes, data=WGSpercentMD))
(sweet.potatoes.or.yams <- kruskal.test(WGSpercent ~ sweet.potatoes.or.yams, data=WGSpercentMD))
(carrots <- kruskal.test(WGSpercent ~ carrots, data=WGSpercentMD))
(spinach <- kruskal.test(WGSpercent ~ spinach, data=WGSpercentMD))
(beets <- kruskal.test(WGSpercent ~ beets, data=WGSpercentMD))
(peas.green.beans <- kruskal.test(WGSpercent ~ peas.green.beans, data=WGSpercentMD))
(turnip.parsnip.artichoke.rutabag <- kruskal.test(WGSpercent ~ turnip.parsnip.artichoke.rutabag, data=WGSpercentMD))
(cabbages <- kruskal.test(WGSpercent ~ cabbages, data=WGSpercentMD))
(squash.pumpkin <- kruskal.test(WGSpercent ~ squash.pumpkin, data=WGSpercentMD))
(tomato.or.tomato.sauce <- kruskal.test(WGSpercent ~ tomato.or.tomato.sauce, data=WGSpercentMD))
(corn <- kruskal.test(WGSpercent ~ corn, data=WGSpercentMD))
(other.vegetable <- kruskal.test(WGSpercent ~ other.vegetable, data=WGSpercentMD))
(rice <- kruskal.test(WGSpercent ~ rice, data=WGSpercentMD))
(wheat <- kruskal.test(WGSpercent ~ wheat, data=WGSpercentMD))
(barley <- kruskal.test(WGSpercent ~ barley, data=WGSpercentMD))
(oat <- kruskal.test(WGSpercent ~ oat, data=WGSpercentMD))
(rye <- kruskal.test(WGSpercent ~ rye, data=WGSpercentMD))
(buckwheat.and.millet <- kruskal.test(WGSpercent ~ buckwheat.and.millet, data=WGSpercentMD))
(other.fib01 <- kruskal.test(WGSpercent ~ other.fib01, data=WGSpercentMD))
(other.fib02 <- kruskal.test(WGSpercent ~ other.fib02, data=WGSpercentMD))
(other.fib03 <- kruskal.test(WGSpercent ~ other.fib03, data=WGSpercentMD))
(other.fib04 <- kruskal.test(WGSpercent ~ other.fib04, data=WGSpercentMD))
(other.fib05 <- kruskal.test(WGSpercent ~ other.fib05, data=WGSpercentMD))
(other.fib06 <- kruskal.test(WGSpercent ~ other.fib06, data=WGSpercentMD))
(other.fib07 <- kruskal.test(WGSpercent ~ other.fib07, data=WGSpercentMD))
(other.fib08 <- kruskal.test(WGSpercent ~ other.fib08, data=WGSpercentMD))
(other.fib09 <- kruskal.test(WGSpercent ~ other.fib09, data=WGSpercentMD))
(other.fib10 <- kruskal.test(WGSpercent ~ other.fib10, data=WGSpercentMD))
(other.fib11 <- kruskal.test(WGSpercent ~ other.fib11, data=WGSpercentMD))
(other.fib12 <- kruskal.test(WGSpercent ~ other.fib12, data=WGSpercentMD))
(other.fib13 <- kruskal.test(WGSpercent ~ other.fib13, data=WGSpercentMD))
(pork.beef <- kruskal.test(WGSpercent ~ pork.beef, data=WGSpercentMD))
(poultry <- kruskal.test(WGSpercent ~ poultry, data=WGSpercentMD))
(other.kinds.of.meat <- kruskal.test(WGSpercent ~ other.kinds.of.meat, data=WGSpercentMD))
(sausage.hot.dogs <- kruskal.test(WGSpercent ~ sausage.hot.dogs, data=WGSpercentMD))
(fish.or.other.seafood <- kruskal.test(WGSpercent ~ fish.or.other.seafood, data=WGSpercentMD))
(egg <- kruskal.test(WGSpercent ~ egg, data=WGSpercentMD))
(milk.products <- kruskal.test(WGSpercent ~ milk.products, data=WGSpercentMD))
(regular.cow.s.milk.or.ice.cream <- kruskal.test(WGSpercent ~ regular.cow.s.milk.or.ice.cream, data=WGSpercentMD))
(commercial.baby.food.containing <- kruskal.test(WGSpercent ~ commercial.baby.food.containing, data=WGSpercentMD))
(soy.milk.and.other.soy.products <- kruskal.test(WGSpercent ~ soy.milk.and.other.soy.products, data=WGSpercentMD))
(rice.milk <- kruskal.test(WGSpercent ~ rice.milk, data=WGSpercentMD))
(goat.milk <- kruskal.test(WGSpercent ~ goat.milk, data=WGSpercentMD))
(gluten <- kruskal.test(WGSpercent ~ gluten, data=WGSpercentMD))
(cereals <- kruskal.test(WGSpercent ~ cereals, data=WGSpercentMD))
(gluten.cereals <- kruskal.test(WGSpercent ~ gluten.cereals, data=WGSpercentMD))
(nongluten.cereals <- kruskal.test(WGSpercent ~ nongluten.cereals, data=WGSpercentMD))
(noncorn.cereals <- kruskal.test(WGSpercent ~ noncorn.cereals, data=WGSpercentMD))
(nongluten.noncorn.cereals <- kruskal.test(WGSpercent ~ nongluten.noncorn.cereals, data=WGSpercentMD))
(rice.ricemilk <- kruskal.test(WGSpercent ~ rice.ricemilk, data=WGSpercentMD))
(fruits.and.berries <- kruskal.test(WGSpercent ~ fruits.and.berries, data=WGSpercentMD))
(root.vegetables <- kruskal.test(WGSpercent ~ root.vegetables, data=WGSpercentMD))
(total.roots <- kruskal.test(WGSpercent ~ total.roots, data=WGSpercentMD))
(milk.product <- kruskal.test(WGSpercent ~ milk.product, data=WGSpercentMD))
(cow.milk.any <- kruskal.test(WGSpercent ~ cow.milk.any, data=WGSpercentMD))
(soy <- kruskal.test(WGSpercent ~ soy, data=WGSpercentMD))
(cow.milk.nof <- kruskal.test(WGSpercent ~ cow.milk.nof, data=WGSpercentMD))
(fibtime <- kruskal.test(WGSpercent ~ fibtime, data=WGSpercentMD))
(child.a1 <- kruskal.test(WGSpercent ~ child.a1, data=WGSpercentMD))
(child.a2 <- kruskal.test(WGSpercent ~ child.a2, data=WGSpercentMD))
(child.a3 <- kruskal.test(WGSpercent ~ child.a3, data=WGSpercentMD))
(child.a4 <- kruskal.test(WGSpercent ~ child.a4, data=WGSpercentMD))
(child.a5 <- kruskal.test(WGSpercent ~ child.a5, data=WGSpercentMD))
(child.a6 <- kruskal.test(WGSpercent ~ child.a6, data=WGSpercentMD))
(child.a7 <- kruskal.test(WGSpercent ~ child.a7, data=WGSpercentMD))
(child.a8 <- kruskal.test(WGSpercent ~ child.a8, data=WGSpercentMD))
(child.a9 <- kruskal.test(WGSpercent ~ child.a9, data=WGSpercentMD))
(child.a10 <- kruskal.test(WGSpercent ~ child.a10, data=WGSpercentMD))
(child.a11 <- kruskal.test(WGSpercent ~ child.a11, data=WGSpercentMD))
(child.a12 <- kruskal.test(WGSpercent ~ child.a12, data=WGSpercentMD))
(child.a13 <- kruskal.test(WGSpercent ~ child.a13, data=WGSpercentMD))
(child.a14 <- kruskal.test(WGSpercent ~ child.a14, data=WGSpercentMD))
(child.a15 <- kruskal.test(WGSpercent ~ child.a15, data=WGSpercentMD))
(child.a16 <- kruskal.test(WGSpercent ~ child.a16, data=WGSpercentMD))
(child.a17 <- kruskal.test(WGSpercent ~ child.a17, data=WGSpercentMD))
(child.a18 <- kruskal.test(WGSpercent ~ child.a18, data=WGSpercentMD))
(child.a19 <- kruskal.test(WGSpercent ~ child.a19, data=WGSpercentMD))
(child.a20 <- kruskal.test(WGSpercent ~ child.a20, data=WGSpercentMD))
(child.a21 <- kruskal.test(WGSpercent ~ child.a21, data=WGSpercentMD))
(child.a22 <- kruskal.test(WGSpercent ~ child.a22, data=WGSpercentMD))
(child.a23 <- kruskal.test(WGSpercent ~ child.a23, data=WGSpercentMD))
(child.a24 <- kruskal.test(WGSpercent ~ child.a24, data=WGSpercentMD))
(child.a25 <- kruskal.test(WGSpercent ~ child.a25, data=WGSpercentMD))
(child.a26 <- kruskal.test(WGSpercent ~ child.a26, data=WGSpercentMD))
(child.a27 <- kruskal.test(WGSpercent ~ child.a27, data=WGSpercentMD))
(child.b1 <- kruskal.test(WGSpercent ~ child.b1, data=WGSpercentMD))
(child.b2 <- kruskal.test(WGSpercent ~ child.b2, data=WGSpercentMD))
(child.b3 <- kruskal.test(WGSpercent ~ child.b3, data=WGSpercentMD))
(child.b4 <- kruskal.test(WGSpercent ~ child.b4, data=WGSpercentMD))
(child.b5 <- kruskal.test(WGSpercent ~ child.b5, data=WGSpercentMD))
(child.b6 <- kruskal.test(WGSpercent ~ child.b6, data=WGSpercentMD))
(child.b7 <- kruskal.test(WGSpercent ~ child.b7, data=WGSpercentMD))
(child.b8 <- kruskal.test(WGSpercent ~ child.b8, data=WGSpercentMD))
(child.b9 <- kruskal.test(WGSpercent ~ child.b9, data=WGSpercentMD))
(child.b10 <- kruskal.test(WGSpercent ~ child.b10, data=WGSpercentMD))
(mean.s.protein.Cat <- kruskal.test(WGSpercent ~ mean.s.protein.Cat, data=WGSpercentMD))
(mean.f.protein.Cat <- kruskal.test(WGSpercent ~ mean.f.protein.Cat, data=WGSpercentMD))
(mean.protein.Cat <- kruskal.test(WGSpercent ~ mean.protein.Cat, data=WGSpercentMD))
(mean.s.nitro.Cat <- kruskal.test(WGSpercent ~ mean.s.nitro.Cat, data=WGSpercentMD))
(mean.f.nitro.Cat <- kruskal.test(WGSpercent ~ mean.f.nitro.Cat, data=WGSpercentMD))
(mean.nitro.Cat <- kruskal.test(WGSpercent ~ mean.nitro.Cat, data=WGSpercentMD))
(mean.s.fat.Cat <- kruskal.test(WGSpercent ~ mean.s.fat.Cat, data=WGSpercentMD))
(mean.f.fat.Cat <- kruskal.test(WGSpercent ~ mean.f.fat.Cat, data=WGSpercentMD))
(mean.fat.Cat <- kruskal.test(WGSpercent ~ mean.fat.Cat, data=WGSpercentMD))
(mean.s.safa.Cat <- kruskal.test(WGSpercent ~ mean.s.safa.Cat, data=WGSpercentMD))
(mean.f.safa.Cat <- kruskal.test(WGSpercent ~ mean.f.safa.Cat, data=WGSpercentMD))
(mean.safa.Cat <- kruskal.test(WGSpercent ~ mean.safa.Cat, data=WGSpercentMD))
(mean.s.butanoic.Cat <- kruskal.test(WGSpercent ~ mean.s.butanoic.Cat, data=WGSpercentMD))
(mean.f.butanoic.Cat <- kruskal.test(WGSpercent ~ mean.f.butanoic.Cat, data=WGSpercentMD))
(mean.butanoic.Cat <- kruskal.test(WGSpercent ~ mean.butanoic.Cat, data=WGSpercentMD))
(mean.s.hexanoic.Cat <- kruskal.test(WGSpercent ~ mean.s.hexanoic.Cat, data=WGSpercentMD))
(mean.f.hexanoic.Cat <- kruskal.test(WGSpercent ~ mean.f.hexanoic.Cat, data=WGSpercentMD))
(mean.hexanoic.Cat <- kruskal.test(WGSpercent ~ mean.hexanoic.Cat, data=WGSpercentMD))
(mean.s.octanoic.Cat <- kruskal.test(WGSpercent ~ mean.s.octanoic.Cat, data=WGSpercentMD))
(mean.f.octanoic.Cat <- kruskal.test(WGSpercent ~ mean.f.octanoic.Cat, data=WGSpercentMD))
(mean.octanoic.Cat <- kruskal.test(WGSpercent ~ mean.octanoic.Cat, data=WGSpercentMD))
(mean.s.decanoic.Cat <- kruskal.test(WGSpercent ~ mean.s.decanoic.Cat, data=WGSpercentMD))
(mean.f.decanoic.Cat <- kruskal.test(WGSpercent ~ mean.f.decanoic.Cat, data=WGSpercentMD))
(mean.decanoic.Cat <- kruskal.test(WGSpercent ~ mean.decanoic.Cat, data=WGSpercentMD))
(mean.s.4.10sfa.Cat <- kruskal.test(WGSpercent ~ mean.s.4.10sfa.Cat, data=WGSpercentMD))
(mean.f.4.10sfa.Cat <- kruskal.test(WGSpercent ~ mean.f.4.10sfa.Cat, data=WGSpercentMD))
(mean.4.10sfa.Cat <- kruskal.test(WGSpercent ~ mean.4.10sfa.Cat, data=WGSpercentMD))
(mean.s.lauric.Cat <- kruskal.test(WGSpercent ~ mean.s.lauric.Cat, data=WGSpercentMD))
(mean.f.lauric.Cat <- kruskal.test(WGSpercent ~ mean.f.lauric.Cat, data=WGSpercentMD))
(mean.lauric.Cat <- kruskal.test(WGSpercent ~ mean.lauric.Cat, data=WGSpercentMD))
(mean.s.myristic.Cat <- kruskal.test(WGSpercent ~ mean.s.myristic.Cat, data=WGSpercentMD))
(mean.f.myristic.Cat <- kruskal.test(WGSpercent ~ mean.f.myristic.Cat, data=WGSpercentMD))
(mean.myristic.Cat <- kruskal.test(WGSpercent ~ mean.myristic.Cat, data=WGSpercentMD))
(mean.s.palmitic.Cat <- kruskal.test(WGSpercent ~ mean.s.palmitic.Cat, data=WGSpercentMD))
(mean.f.palmitic.Cat <- kruskal.test(WGSpercent ~ mean.f.palmitic.Cat, data=WGSpercentMD))
(mean.palmitic.Cat <- kruskal.test(WGSpercent ~ mean.palmitic.Cat, data=WGSpercentMD))
(mean.s.stearic.Cat <- kruskal.test(WGSpercent ~ mean.s.stearic.Cat, data=WGSpercentMD))
(mean.f.stearic.Cat <- kruskal.test(WGSpercent ~ mean.f.stearic.Cat, data=WGSpercentMD))
(mean.stearic.Cat <- kruskal.test(WGSpercent ~ mean.stearic.Cat, data=WGSpercentMD))
(mean.s.arachidic.Cat <- kruskal.test(WGSpercent ~ mean.s.arachidic.Cat, data=WGSpercentMD))
(mean.f.arachidic.Cat <- kruskal.test(WGSpercent ~ mean.f.arachidic.Cat, data=WGSpercentMD))
(mean.arachidic.Cat <- kruskal.test(WGSpercent ~ mean.arachidic.Cat, data=WGSpercentMD))
(mean.s.mufa.Cat <- kruskal.test(WGSpercent ~ mean.s.mufa.Cat, data=WGSpercentMD))
(mean.f.mufa.Cat <- kruskal.test(WGSpercent ~ mean.f.mufa.Cat, data=WGSpercentMD))
(mean.mufa.Cat <- kruskal.test(WGSpercent ~ mean.mufa.Cat, data=WGSpercentMD))
(mean.s.palmitoleic.Cat <- kruskal.test(WGSpercent ~ mean.s.palmitoleic.Cat, data=WGSpercentMD))
(mean.f.palmitoleic.Cat <- kruskal.test(WGSpercent ~ mean.f.palmitoleic.Cat, data=WGSpercentMD))
(mean.palmitoleic.Cat <- kruskal.test(WGSpercent ~ mean.palmitoleic.Cat, data=WGSpercentMD))
(mean.s.oleic.Cat <- kruskal.test(WGSpercent ~ mean.s.oleic.Cat, data=WGSpercentMD))
(mean.f.oleic.Cat <- kruskal.test(WGSpercent ~ mean.f.oleic.Cat, data=WGSpercentMD))
(mean.oleic.Cat <- kruskal.test(WGSpercent ~ mean.oleic.Cat, data=WGSpercentMD))
(mean.s.pufa.Cat <- kruskal.test(WGSpercent ~ mean.s.pufa.Cat, data=WGSpercentMD))
(mean.f.pufa.Cat <- kruskal.test(WGSpercent ~ mean.f.pufa.Cat, data=WGSpercentMD))
(mean.pufa.Cat <- kruskal.test(WGSpercent ~ mean.pufa.Cat, data=WGSpercentMD))
(mean.s.linoleic.Cat <- kruskal.test(WGSpercent ~ mean.s.linoleic.Cat, data=WGSpercentMD))
(mean.f.linoleic.Cat <- kruskal.test(WGSpercent ~ mean.f.linoleic.Cat, data=WGSpercentMD))
(mean.linoleic.Cat <- kruskal.test(WGSpercent ~ mean.linoleic.Cat, data=WGSpercentMD))
(mean.s.linolenic.Cat <- kruskal.test(WGSpercent ~ mean.s.linolenic.Cat, data=WGSpercentMD))
(mean.f.linolenic.Cat <- kruskal.test(WGSpercent ~ mean.f.linolenic.Cat, data=WGSpercentMD))
(mean.linolenic.Cat <- kruskal.test(WGSpercent ~ mean.linolenic.Cat, data=WGSpercentMD))
(mean.s.linolenic.n3.Cat <- kruskal.test(WGSpercent ~ mean.s.linolenic.n3.Cat, data=WGSpercentMD))
(mean.f.linolenic.n3.Cat <- kruskal.test(WGSpercent ~ mean.f.linolenic.n3.Cat, data=WGSpercentMD))
(mean.linolenic.n3.Cat <- kruskal.test(WGSpercent ~ mean.linolenic.n3.Cat, data=WGSpercentMD))
(mean.s.arachidonic.Cat <- kruskal.test(WGSpercent ~ mean.s.arachidonic.Cat, data=WGSpercentMD))
(mean.f.arachidonic.Cat <- kruskal.test(WGSpercent ~ mean.f.arachidonic.Cat, data=WGSpercentMD))
(mean.arachidonic.Cat <- kruskal.test(WGSpercent ~ mean.arachidonic.Cat, data=WGSpercentMD))
(mean.s.eico.Cat <- kruskal.test(WGSpercent ~ mean.s.eico.Cat, data=WGSpercentMD))
(mean.f.eico.Cat <- kruskal.test(WGSpercent ~ mean.f.eico.Cat, data=WGSpercentMD))
(mean.eico.Cat <- kruskal.test(WGSpercent ~ mean.eico.Cat, data=WGSpercentMD))
(mean.s.dpa.Cat <- kruskal.test(WGSpercent ~ mean.s.dpa.Cat, data=WGSpercentMD))
(mean.f.dpa.Cat <- kruskal.test(WGSpercent ~ mean.f.dpa.Cat, data=WGSpercentMD))
(mean.dpa.Cat <- kruskal.test(WGSpercent ~ mean.dpa.Cat, data=WGSpercentMD))
(mean.s.dha.Cat <- kruskal.test(WGSpercent ~ mean.s.dha.Cat, data=WGSpercentMD))
(mean.f.dha.Cat <- kruskal.test(WGSpercent ~ mean.f.dha.Cat, data=WGSpercentMD))
(mean.dha.Cat <- kruskal.test(WGSpercent ~ mean.dha.Cat, data=WGSpercentMD))
(mean.s.chol.Cat <- kruskal.test(WGSpercent ~ mean.s.chol.Cat, data=WGSpercentMD))
(mean.f.chol.Cat <- kruskal.test(WGSpercent ~ mean.f.chol.Cat, data=WGSpercentMD))
(mean.chol.Cat <- kruskal.test(WGSpercent ~ mean.chol.Cat, data=WGSpercentMD))
(mean.s.carb.Cat <- kruskal.test(WGSpercent ~ mean.s.carb.Cat, data=WGSpercentMD))
(mean.f.carb.Cat <- kruskal.test(WGSpercent ~ mean.f.carb.Cat, data=WGSpercentMD))
(mean.carb.Cat <- kruskal.test(WGSpercent ~ mean.carb.Cat, data=WGSpercentMD))
(mean.s.sugar.Cat <- kruskal.test(WGSpercent ~ mean.s.sugar.Cat, data=WGSpercentMD))
(mean.f.sugar.Cat <- kruskal.test(WGSpercent ~ mean.f.sugar.Cat, data=WGSpercentMD))
(mean.sugar.Cat <- kruskal.test(WGSpercent ~ mean.sugar.Cat, data=WGSpercentMD))
(mean.s.starch.Cat <- kruskal.test(WGSpercent ~ mean.s.starch.Cat, data=WGSpercentMD))
(mean.f.starch.Cat <- kruskal.test(WGSpercent ~ mean.f.starch.Cat, data=WGSpercentMD))
(mean.starch.Cat <- kruskal.test(WGSpercent ~ mean.starch.Cat, data=WGSpercentMD))
(mean.s.fiber.Cat <- kruskal.test(WGSpercent ~ mean.s.fiber.Cat, data=WGSpercentMD))
(mean.f.fiber.Cat <- kruskal.test(WGSpercent ~ mean.f.fiber.Cat, data=WGSpercentMD))
(mean.fiber.Cat <- kruskal.test(WGSpercent ~ mean.fiber.Cat, data=WGSpercentMD))
(mean.s.betacar.Cat <- kruskal.test(WGSpercent ~ mean.s.betacar.Cat, data=WGSpercentMD))
(mean.f.betacar.Cat <- kruskal.test(WGSpercent ~ mean.f.betacar.Cat, data=WGSpercentMD))
(mean.betacar.Cat <- kruskal.test(WGSpercent ~ mean.betacar.Cat, data=WGSpercentMD))
(mean.s.reteq.Cat <- kruskal.test(WGSpercent ~ mean.s.reteq.Cat, data=WGSpercentMD))
(mean.f.reteq.Cat <- kruskal.test(WGSpercent ~ mean.f.reteq.Cat, data=WGSpercentMD))
(mean.reteq.Cat <- kruskal.test(WGSpercent ~ mean.reteq.Cat, data=WGSpercentMD))
(mean.s.retaeq.Cat <- kruskal.test(WGSpercent ~ mean.s.retaeq.Cat, data=WGSpercentMD))
(mean.f.retaeq.Cat <- kruskal.test(WGSpercent ~ mean.f.retaeq.Cat, data=WGSpercentMD))
(mean.retaeq.Cat <- kruskal.test(WGSpercent ~ mean.retaeq.Cat, data=WGSpercentMD))
(mean.s.vitd.Cat <- kruskal.test(WGSpercent ~ mean.s.vitd.Cat, data=WGSpercentMD))
(mean.f.vitd.Cat <- kruskal.test(WGSpercent ~ mean.f.vitd.Cat, data=WGSpercentMD))
(mean.vitd.Cat <- kruskal.test(WGSpercent ~ mean.vitd.Cat, data=WGSpercentMD))
(mean.s.vite.Cat <- kruskal.test(WGSpercent ~ mean.s.vite.Cat, data=WGSpercentMD))
(mean.f.vite.Cat <- kruskal.test(WGSpercent ~ mean.f.vite.Cat, data=WGSpercentMD))
(mean.vite.Cat <- kruskal.test(WGSpercent ~ mean.vite.Cat, data=WGSpercentMD))
(mean.s.vite.tot.Cat <- kruskal.test(WGSpercent ~ mean.s.vite.tot.Cat, data=WGSpercentMD))
(mean.f.vite.tot.Cat <- kruskal.test(WGSpercent ~ mean.f.vite.tot.Cat, data=WGSpercentMD))
(mean.vite.tot.Cat <- kruskal.test(WGSpercent ~ mean.vite.tot.Cat, data=WGSpercentMD))
(mean.s.vitk.Cat <- kruskal.test(WGSpercent ~ mean.s.vitk.Cat, data=WGSpercentMD))
(mean.f.vitk.Cat <- kruskal.test(WGSpercent ~ mean.f.vitk.Cat, data=WGSpercentMD))
(mean.vitk.Cat <- kruskal.test(WGSpercent ~ mean.vitk.Cat, data=WGSpercentMD))
(mean.s.vitc.Cat <- kruskal.test(WGSpercent ~ mean.s.vitc.Cat, data=WGSpercentMD))
(mean.f.vitc.Cat <- kruskal.test(WGSpercent ~ mean.f.vitc.Cat, data=WGSpercentMD))
(mean.vitc.Cat <- kruskal.test(WGSpercent ~ mean.vitc.Cat, data=WGSpercentMD))
(mean.s.thiamin.Cat <- kruskal.test(WGSpercent ~ mean.s.thiamin.Cat, data=WGSpercentMD))
(mean.f.thiamin.Cat <- kruskal.test(WGSpercent ~ mean.f.thiamin.Cat, data=WGSpercentMD))
(mean.thiamin.Cat <- kruskal.test(WGSpercent ~ mean.thiamin.Cat, data=WGSpercentMD))
(mean.s.riboflavin.Cat <- kruskal.test(WGSpercent ~ mean.s.riboflavin.Cat, data=WGSpercentMD))
(mean.f.riboflavin.Cat <- kruskal.test(WGSpercent ~ mean.f.riboflavin.Cat, data=WGSpercentMD))
(mean.riboflavin.Cat <- kruskal.test(WGSpercent ~ mean.riboflavin.Cat, data=WGSpercentMD))
(mean.s.niacin.Cat <- kruskal.test(WGSpercent ~ mean.s.niacin.Cat, data=WGSpercentMD))
(mean.f.niacin.Cat <- kruskal.test(WGSpercent ~ mean.f.niacin.Cat, data=WGSpercentMD))
(mean.niacin.Cat <- kruskal.test(WGSpercent ~ mean.niacin.Cat, data=WGSpercentMD))
(mean.s.folate.Cat <- kruskal.test(WGSpercent ~ mean.s.folate.Cat, data=WGSpercentMD))
(mean.f.folate.Cat <- kruskal.test(WGSpercent ~ mean.f.folate.Cat, data=WGSpercentMD))
(mean.folate.Cat <- kruskal.test(WGSpercent ~ mean.folate.Cat, data=WGSpercentMD))
(mean.s.pyridoxine.Cat <- kruskal.test(WGSpercent ~ mean.s.pyridoxine.Cat, data=WGSpercentMD))
(mean.f.pyridoxine.Cat <- kruskal.test(WGSpercent ~ mean.f.pyridoxine.Cat, data=WGSpercentMD))
(mean.pyridoxine.Cat <- kruskal.test(WGSpercent ~ mean.pyridoxine.Cat, data=WGSpercentMD))
(mean.s.pantothenic.Cat <- kruskal.test(WGSpercent ~ mean.s.pantothenic.Cat, data=WGSpercentMD))
(mean.f.pantothenic.Cat <- kruskal.test(WGSpercent ~ mean.f.pantothenic.Cat, data=WGSpercentMD))
(mean.pantothenic.Cat <- kruskal.test(WGSpercent ~ mean.pantothenic.Cat, data=WGSpercentMD))
(mean.s.vitb12.Cat <- kruskal.test(WGSpercent ~ mean.s.vitb12.Cat, data=WGSpercentMD))
(mean.f.vitb12.Cat <- kruskal.test(WGSpercent ~ mean.f.vitb12.Cat, data=WGSpercentMD))
(mean.vitb12.Cat <- kruskal.test(WGSpercent ~ mean.vitb12.Cat, data=WGSpercentMD))
(mean.s.calcium.Cat <- kruskal.test(WGSpercent ~ mean.s.calcium.Cat, data=WGSpercentMD))
(mean.f.calcium.Cat <- kruskal.test(WGSpercent ~ mean.f.calcium.Cat, data=WGSpercentMD))
(mean.calcium.Cat <- kruskal.test(WGSpercent ~ mean.calcium.Cat, data=WGSpercentMD))
(mean.s.phos.Cat <- kruskal.test(WGSpercent ~ mean.s.phos.Cat, data=WGSpercentMD))
(mean.f.phos.Cat <- kruskal.test(WGSpercent ~ mean.f.phos.Cat, data=WGSpercentMD))
(mean.phos.Cat <- kruskal.test(WGSpercent ~ mean.phos.Cat, data=WGSpercentMD))
(mean.s.potassium.Cat <- kruskal.test(WGSpercent ~ mean.s.potassium.Cat, data=WGSpercentMD))
(mean.f.potassium.Cat <- kruskal.test(WGSpercent ~ mean.f.potassium.Cat, data=WGSpercentMD))
(mean.potassium.Cat <- kruskal.test(WGSpercent ~ mean.potassium.Cat, data=WGSpercentMD))
(mean.s.mag.Cat <- kruskal.test(WGSpercent ~ mean.s.mag.Cat, data=WGSpercentMD))
(mean.f.mag.Cat <- kruskal.test(WGSpercent ~ mean.f.mag.Cat, data=WGSpercentMD))
(mean.mag.Cat <- kruskal.test(WGSpercent ~ mean.mag.Cat, data=WGSpercentMD))
(mean.s.mang.Cat <- kruskal.test(WGSpercent ~ mean.s.mang.Cat, data=WGSpercentMD))
(mean.f.mang.Cat <- kruskal.test(WGSpercent ~ mean.f.mang.Cat, data=WGSpercentMD))
(mean.mang.Cat <- kruskal.test(WGSpercent ~ mean.mang.Cat, data=WGSpercentMD))
(mean.s.iron.Cat <- kruskal.test(WGSpercent ~ mean.s.iron.Cat, data=WGSpercentMD))
(mean.f.iron.Cat <- kruskal.test(WGSpercent ~ mean.f.iron.Cat, data=WGSpercentMD))
(mean.iron.Cat <- kruskal.test(WGSpercent ~ mean.iron.Cat, data=WGSpercentMD))
(mean.s.zinc.Cat <- kruskal.test(WGSpercent ~ mean.s.zinc.Cat, data=WGSpercentMD))
(mean.f.zinc.Cat <- kruskal.test(WGSpercent ~ mean.f.zinc.Cat, data=WGSpercentMD))
(mean.zinc.Cat <- kruskal.test(WGSpercent ~ mean.zinc.Cat, data=WGSpercentMD))
(mean.s.copper.Cat <- kruskal.test(WGSpercent ~ mean.s.copper.Cat, data=WGSpercentMD))
(mean.f.copper.Cat <- kruskal.test(WGSpercent ~ mean.f.copper.Cat, data=WGSpercentMD))
(mean.copper.Cat <- kruskal.test(WGSpercent ~ mean.copper.Cat, data=WGSpercentMD))
(mean.energy.Cat <- kruskal.test(WGSpercent ~ mean.energy.Cat, data=WGSpercentMD))
(random.Cat <- kruskal.test(WGSpercent ~ random.Cat, data=WGSpercentMD))
(DMM.16S <- kruskal.test(WGSpercent ~ DMM.16S, data=WGSpercentMD))
(HeightInCm.Cat <- kruskal.test(WGSpercent ~ HeightInCm.Cat, data=WGSpercentMD))
(WeightInKg.Cat <- kruskal.test(WGSpercent ~ WeightInKg.Cat, data=WGSpercentMD))
(BMI.Cat <- kruskal.test(WGSpercent ~ BMI.Cat, data=WGSpercentMD))
(CatsDogs <- kruskal.test(WGSpercent ~ CatsDogs, data=WGSpercentMD))
(Siblings <- kruskal.test(WGSpercent ~ Siblings, data=WGSpercentMD))
(MonthOfSample <- kruskal.test(WGSpercent ~ MonthOfSample, data=WGSpercentMD))
(SeasonOfSample <- kruskal.test(WGSpercent ~ SeasonOfSample, data=WGSpercentMD))
(Asthma <- kruskal.test(WGSpercent ~ Asthma, data=WGSpercentMD))
(Celiac <- kruskal.test(WGSpercent ~ Celiac, data=WGSpercentMD))

lapply(ObsFungiR3K.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/ObsFungiR3K.Cat.txt", append=TRUE)
lapply(ShanFungiR3K.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/ShanFungiR3K.Cat.txt", append=TRUE)
lapply(Obs16SR3K.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Obs16SR3K.Cat.txt", append=TRUE)
lapply(Shan16SR3K.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Shan16SR3K.Cat.txt", append=TRUE)
lapply(DMM, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/DMM.txt", append=TRUE)
lapply(WhereFamilyLives, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/WhereFamilyLives.txt", append=TRUE)
lapply(Clinical.Center, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Clinical.Center.txt", append=TRUE)
lapply(Clinical.Country, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Clinical.Country.txt", append=TRUE)
lapply(Continent, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Continent.txt", append=TRUE)
lapply(Sex, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Sex.txt", append=TRUE)
lapply(Gest.Age.Rough, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Gest.Age.Rough.txt", append=TRUE)
lapply(BabysLengthCat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/BabysLengthCat.txt", append=TRUE)
lapply(BabysWeightClass, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/BabysWeightClass.txt", append=TRUE)
lapply(ApgarClass, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/ApgarClass.txt", append=TRUE)
lapply(PreEclampsiaOrToxemia, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/PreEclampsiaOrToxemia.txt", append=TRUE)
lapply(Birth.Mode, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Birth.Mode.txt", append=TRUE)
lapply(Birth.Mode.Simple, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Birth.Mode.Simple.txt", append=TRUE)
lapply(Birth.Season, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Birth.Season.txt", append=TRUE)
lapply(FdrName, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/FdrName.txt", append=TRUE)
lapply(HLA.CategoryLong, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/HLA.CategoryLong.txt", append=TRUE)
lapply(IA.OutcomeYesNoCorrected, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/IA.OutcomeYesNoCorrected.txt", append=TRUE)
lapply(T1D.OutcomeYesNoCorrected, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/T1D.OutcomeYesNoCorrected.txt", append=TRUE)
lapply(ProbioticsFive, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/ProbioticsFive.txt", append=TRUE)
lapply(EverProbioticsYesNo, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/EverProbioticsYesNo.txt", append=TRUE)
lapply(AbxTenState, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/AbxTenState.txt", append=TRUE)
lapply(AbxName, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/AbxName.txt", append=TRUE)
lapply(Amoxicillin, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Amoxicillin.txt", append=TRUE)
lapply(InfEpTen, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/InfEpTen.txt", append=TRUE)
lapply(InfEpTenFever, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/InfEpTenFever.txt", append=TRUE)
lapply(BothInfFev, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/BothInfFev.txt", append=TRUE)
lapply(SpecialDiets, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/SpecialDiets.txt", append=TRUE)
lapply(JustCowsMilkAvoidance, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/JustCowsMilkAvoidance.txt", append=TRUE)
lapply(JustVegetarian, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/JustVegetarian.txt", append=TRUE)
lapply(JustCerealOrWheatAvoidanceOrGlutenFree, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/JustCerealOrWheatAvoidanceOrGlutenFree.txt", append=TRUE)
lapply(Breastfeeding, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Breastfeeding.txt", append=TRUE)
lapply(formula.any, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/formula.any.txt", append=TRUE)
lapply(first.form.process, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/first.form.process.txt", append=TRUE)
lapply(formula.cows.milk, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/formula.cows.milk.txt", append=TRUE)
lapply(formula.soy, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/formula.soy.txt", append=TRUE)
lapply(formula.probiotic, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/formula.probiotic.txt", append=TRUE)
lapply(formula.prebiotic, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/formula.prebiotic.txt", append=TRUE)
lapply(apple.sauce.or.apple.juice, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/apple.sauce.or.apple.juice.txt", append=TRUE)
lapply(fruit.or.berries, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/fruit.or.berries.txt", append=TRUE)
lapply(potatoes, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/potatoes.txt", append=TRUE)
lapply(sweet.potatoes.or.yams, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/sweet.potatoes.or.yams.txt", append=TRUE)
lapply(carrots, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/carrots.txt", append=TRUE)
lapply(spinach, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/spinach.txt", append=TRUE)
lapply(beets, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/beets.txt", append=TRUE)
lapply(peas.green.beans, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/peas.green.beans.txt", append=TRUE)
lapply(turnip.parsnip.artichoke.rutabag, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/turnip.parsnip.artichoke.rutabag.txt", append=TRUE)
lapply(cabbages, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/cabbages.txt", append=TRUE)
lapply(squash.pumpkin, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/squash.pumpkin.txt", append=TRUE)
lapply(tomato.or.tomato.sauce, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/tomato.or.tomato.sauce.txt", append=TRUE)
lapply(corn, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/corn.txt", append=TRUE)
lapply(other.vegetable, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.vegetable.txt", append=TRUE)
lapply(rice, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/rice.txt", append=TRUE)
lapply(wheat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/wheat.txt", append=TRUE)
lapply(barley, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/barley.txt", append=TRUE)
lapply(oat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/oat.txt", append=TRUE)
lapply(rye, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/rye.txt", append=TRUE)
lapply(buckwheat.and.millet, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/buckwheat.and.millet.txt", append=TRUE)
lapply(other.fib01, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib01.txt", append=TRUE)
lapply(other.fib02, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib02.txt", append=TRUE)
lapply(other.fib03, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib03.txt", append=TRUE)
lapply(other.fib04, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib04.txt", append=TRUE)
lapply(other.fib05, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib05.txt", append=TRUE)
lapply(other.fib06, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib06.txt", append=TRUE)
lapply(other.fib07, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib07.txt", append=TRUE)
lapply(other.fib08, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib08.txt", append=TRUE)
lapply(other.fib09, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib09.txt", append=TRUE)
lapply(other.fib10, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib10.txt", append=TRUE)
lapply(other.fib11, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib11.txt", append=TRUE)
lapply(other.fib12, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib12.txt", append=TRUE)
lapply(other.fib13, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.fib13.txt", append=TRUE)
lapply(pork.beef, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/pork.beef.txt", append=TRUE)
lapply(poultry, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/poultry.txt", append=TRUE)
lapply(other.kinds.of.meat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/other.kinds.of.meat.txt", append=TRUE)
lapply(sausage.hot.dogs, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/sausage.hot.dogs.txt", append=TRUE)
lapply(fish.or.other.seafood, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/fish.or.other.seafood.txt", append=TRUE)
lapply(egg, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/egg.txt", append=TRUE)
lapply(milk.products, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/milk.products.txt", append=TRUE)
lapply(regular.cow.s.milk.or.ice.cream, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/regular.cow.s.milk.or.ice.cream.txt", append=TRUE)
lapply(commercial.baby.food.containing, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/commercial.baby.food.containing.txt", append=TRUE)
lapply(soy.milk.and.other.soy.products, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/soy.milk.and.other.soy.products.txt", append=TRUE)
lapply(rice.milk, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/rice.milk.txt", append=TRUE)
lapply(goat.milk, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/goat.milk.txt", append=TRUE)
lapply(gluten, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/gluten.txt", append=TRUE)
lapply(cereals, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/cereals.txt", append=TRUE)
lapply(gluten.cereals, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/gluten.cereals.txt", append=TRUE)
lapply(nongluten.cereals, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/nongluten.cereals.txt", append=TRUE)
lapply(noncorn.cereals, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/noncorn.cereals.txt", append=TRUE)
lapply(nongluten.noncorn.cereals, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/nongluten.noncorn.cereals.txt", append=TRUE)
lapply(rice.ricemilk, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/rice.ricemilk.txt", append=TRUE)
lapply(fruits.and.berries, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/fruits.and.berries.txt", append=TRUE)
lapply(root.vegetables, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/root.vegetables.txt", append=TRUE)
lapply(total.roots, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/total.roots.txt", append=TRUE)
lapply(milk.product, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/milk.product.txt", append=TRUE)
lapply(cow.milk.any, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/cow.milk.any.txt", append=TRUE)
lapply(soy, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/soy.txt", append=TRUE)
lapply(cow.milk.nof, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/cow.milk.nof.txt", append=TRUE)
lapply(fibtime, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/fibtime.txt", append=TRUE)
lapply(child.a1, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a1.txt", append=TRUE)
lapply(child.a2, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a2.txt", append=TRUE)
lapply(child.a3, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a3.txt", append=TRUE)
lapply(child.a4, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a4.txt", append=TRUE)
lapply(child.a5, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a5.txt", append=TRUE)
lapply(child.a6, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a6.txt", append=TRUE)
lapply(child.a7, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a7.txt", append=TRUE)
lapply(child.a8, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a8.txt", append=TRUE)
lapply(child.a9, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a9.txt", append=TRUE)
lapply(child.a10, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a10.txt", append=TRUE)
lapply(child.a11, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a11.txt", append=TRUE)
lapply(child.a12, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a12.txt", append=TRUE)
lapply(child.a13, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a13.txt", append=TRUE)
lapply(child.a14, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a14.txt", append=TRUE)
lapply(child.a15, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a15.txt", append=TRUE)
lapply(child.a16, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a16.txt", append=TRUE)
lapply(child.a17, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a17.txt", append=TRUE)
lapply(child.a18, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a18.txt", append=TRUE)
lapply(child.a19, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a19.txt", append=TRUE)
lapply(child.a20, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a20.txt", append=TRUE)
lapply(child.a21, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a21.txt", append=TRUE)
lapply(child.a22, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a22.txt", append=TRUE)
lapply(child.a23, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a23.txt", append=TRUE)
lapply(child.a24, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a24.txt", append=TRUE)
lapply(child.a25, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a25.txt", append=TRUE)
lapply(child.a26, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a26.txt", append=TRUE)
lapply(child.a27, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.a27.txt", append=TRUE)
lapply(child.b1, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b1.txt", append=TRUE)
lapply(child.b2, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b2.txt", append=TRUE)
lapply(child.b3, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b3.txt", append=TRUE)
lapply(child.b4, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b4.txt", append=TRUE)
lapply(child.b5, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b5.txt", append=TRUE)
lapply(child.b6, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b6.txt", append=TRUE)
lapply(child.b7, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b7.txt", append=TRUE)
lapply(child.b8, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b8.txt", append=TRUE)
lapply(child.b9, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b9.txt", append=TRUE)
lapply(child.b10, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/child.b10.txt", append=TRUE)
lapply(mean.s.protein.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.protein.Cat.txt", append=TRUE)
lapply(mean.f.protein.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.protein.Cat.txt", append=TRUE)
lapply(mean.protein.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.protein.Cat.txt", append=TRUE)
lapply(mean.s.nitro.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.nitro.Cat.txt", append=TRUE)
lapply(mean.f.nitro.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.nitro.Cat.txt", append=TRUE)
lapply(mean.nitro.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.nitro.Cat.txt", append=TRUE)
lapply(mean.s.fat.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.fat.Cat.txt", append=TRUE)
lapply(mean.f.fat.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.fat.Cat.txt", append=TRUE)
lapply(mean.fat.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.fat.Cat.txt", append=TRUE)
lapply(mean.s.safa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.safa.Cat.txt", append=TRUE)
lapply(mean.f.safa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.safa.Cat.txt", append=TRUE)
lapply(mean.safa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.safa.Cat.txt", append=TRUE)
lapply(mean.s.butanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.butanoic.Cat.txt", append=TRUE)
lapply(mean.f.butanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.butanoic.Cat.txt", append=TRUE)
lapply(mean.butanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.butanoic.Cat.txt", append=TRUE)
lapply(mean.s.hexanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.hexanoic.Cat.txt", append=TRUE)
lapply(mean.f.hexanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.hexanoic.Cat.txt", append=TRUE)
lapply(mean.hexanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.hexanoic.Cat.txt", append=TRUE)
lapply(mean.s.octanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.octanoic.Cat.txt", append=TRUE)
lapply(mean.f.octanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.octanoic.Cat.txt", append=TRUE)
lapply(mean.octanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.octanoic.Cat.txt", append=TRUE)
lapply(mean.s.decanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.decanoic.Cat.txt", append=TRUE)
lapply(mean.f.decanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.decanoic.Cat.txt", append=TRUE)
lapply(mean.decanoic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.decanoic.Cat.txt", append=TRUE)
lapply(mean.s.4.10sfa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.4.10sfa.Cat.txt", append=TRUE)
lapply(mean.f.4.10sfa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.4.10sfa.Cat.txt", append=TRUE)
lapply(mean.4.10sfa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.4.10sfa.Cat.txt", append=TRUE)
lapply(mean.s.lauric.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.lauric.Cat.txt", append=TRUE)
lapply(mean.f.lauric.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.lauric.Cat.txt", append=TRUE)
lapply(mean.lauric.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.lauric.Cat.txt", append=TRUE)
lapply(mean.s.myristic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.myristic.Cat.txt", append=TRUE)
lapply(mean.f.myristic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.myristic.Cat.txt", append=TRUE)
lapply(mean.myristic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.myristic.Cat.txt", append=TRUE)
lapply(mean.s.palmitic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.palmitic.Cat.txt", append=TRUE)
lapply(mean.f.palmitic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.palmitic.Cat.txt", append=TRUE)
lapply(mean.palmitic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.palmitic.Cat.txt", append=TRUE)
lapply(mean.s.stearic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.stearic.Cat.txt", append=TRUE)
lapply(mean.f.stearic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.stearic.Cat.txt", append=TRUE)
lapply(mean.stearic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.stearic.Cat.txt", append=TRUE)
lapply(mean.s.arachidic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.arachidic.Cat.txt", append=TRUE)
lapply(mean.f.arachidic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.arachidic.Cat.txt", append=TRUE)
lapply(mean.arachidic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.arachidic.Cat.txt", append=TRUE)
lapply(mean.s.mufa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.mufa.Cat.txt", append=TRUE)
lapply(mean.f.mufa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.mufa.Cat.txt", append=TRUE)
lapply(mean.mufa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.mufa.Cat.txt", append=TRUE)
lapply(mean.s.palmitoleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.palmitoleic.Cat.txt", append=TRUE)
lapply(mean.f.palmitoleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.palmitoleic.Cat.txt", append=TRUE)
lapply(mean.palmitoleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.palmitoleic.Cat.txt", append=TRUE)
lapply(mean.s.oleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.oleic.Cat.txt", append=TRUE)
lapply(mean.f.oleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.oleic.Cat.txt", append=TRUE)
lapply(mean.oleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.oleic.Cat.txt", append=TRUE)
lapply(mean.s.pufa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.pufa.Cat.txt", append=TRUE)
lapply(mean.f.pufa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.pufa.Cat.txt", append=TRUE)
lapply(mean.pufa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.pufa.Cat.txt", append=TRUE)
lapply(mean.s.linoleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.linoleic.Cat.txt", append=TRUE)
lapply(mean.f.linoleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.linoleic.Cat.txt", append=TRUE)
lapply(mean.linoleic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.linoleic.Cat.txt", append=TRUE)
lapply(mean.s.linolenic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.linolenic.Cat.txt", append=TRUE)
lapply(mean.f.linolenic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.linolenic.Cat.txt", append=TRUE)
lapply(mean.linolenic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.linolenic.Cat.txt", append=TRUE)
lapply(mean.s.linolenic.n3.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.linolenic.n3.Cat.txt", append=TRUE)
lapply(mean.f.linolenic.n3.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.linolenic.n3.Cat.txt", append=TRUE)
lapply(mean.linolenic.n3.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.linolenic.n3.Cat.txt", append=TRUE)
lapply(mean.s.arachidonic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.arachidonic.Cat.txt", append=TRUE)
lapply(mean.f.arachidonic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.arachidonic.Cat.txt", append=TRUE)
lapply(mean.arachidonic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.arachidonic.Cat.txt", append=TRUE)
lapply(mean.s.eico.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.eico.Cat.txt", append=TRUE)
lapply(mean.f.eico.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.eico.Cat.txt", append=TRUE)
lapply(mean.eico.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.eico.Cat.txt", append=TRUE)
lapply(mean.s.dpa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.dpa.Cat.txt", append=TRUE)
lapply(mean.f.dpa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.dpa.Cat.txt", append=TRUE)
lapply(mean.dpa.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.dpa.Cat.txt", append=TRUE)
lapply(mean.s.dha.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.dha.Cat.txt", append=TRUE)
lapply(mean.f.dha.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.dha.Cat.txt", append=TRUE)
lapply(mean.dha.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.dha.Cat.txt", append=TRUE)
lapply(mean.s.chol.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.chol.Cat.txt", append=TRUE)
lapply(mean.f.chol.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.chol.Cat.txt", append=TRUE)
lapply(mean.chol.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.chol.Cat.txt", append=TRUE)
lapply(mean.s.carb.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.carb.Cat.txt", append=TRUE)
lapply(mean.f.carb.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.carb.Cat.txt", append=TRUE)
lapply(mean.carb.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.carb.Cat.txt", append=TRUE)
lapply(mean.s.sugar.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.sugar.Cat.txt", append=TRUE)
lapply(mean.f.sugar.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.sugar.Cat.txt", append=TRUE)
lapply(mean.sugar.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.sugar.Cat.txt", append=TRUE)
lapply(mean.s.starch.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.starch.Cat.txt", append=TRUE)
lapply(mean.f.starch.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.starch.Cat.txt", append=TRUE)
lapply(mean.starch.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.starch.Cat.txt", append=TRUE)
lapply(mean.s.fiber.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.fiber.Cat.txt", append=TRUE)
lapply(mean.f.fiber.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.fiber.Cat.txt", append=TRUE)
lapply(mean.fiber.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.fiber.Cat.txt", append=TRUE)
lapply(mean.s.betacar.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.betacar.Cat.txt", append=TRUE)
lapply(mean.f.betacar.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.betacar.Cat.txt", append=TRUE)
lapply(mean.betacar.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.betacar.Cat.txt", append=TRUE)
lapply(mean.s.reteq.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.reteq.Cat.txt", append=TRUE)
lapply(mean.f.reteq.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.reteq.Cat.txt", append=TRUE)
lapply(mean.reteq.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.reteq.Cat.txt", append=TRUE)
lapply(mean.s.retaeq.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.retaeq.Cat.txt", append=TRUE)
lapply(mean.f.retaeq.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.retaeq.Cat.txt", append=TRUE)
lapply(mean.retaeq.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.retaeq.Cat.txt", append=TRUE)
lapply(mean.s.vitd.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.vitd.Cat.txt", append=TRUE)
lapply(mean.f.vitd.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.vitd.Cat.txt", append=TRUE)
lapply(mean.vitd.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.vitd.Cat.txt", append=TRUE)
lapply(mean.s.vite.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.vite.Cat.txt", append=TRUE)
lapply(mean.f.vite.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.vite.Cat.txt", append=TRUE)
lapply(mean.vite.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.vite.Cat.txt", append=TRUE)
lapply(mean.s.vite.tot.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.vite.tot.Cat.txt", append=TRUE)
lapply(mean.f.vite.tot.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.vite.tot.Cat.txt", append=TRUE)
lapply(mean.vite.tot.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.vite.tot.Cat.txt", append=TRUE)
lapply(mean.s.vitk.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.vitk.Cat.txt", append=TRUE)
lapply(mean.f.vitk.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.vitk.Cat.txt", append=TRUE)
lapply(mean.vitk.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.vitk.Cat.txt", append=TRUE)
lapply(mean.s.vitc.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.vitc.Cat.txt", append=TRUE)
lapply(mean.f.vitc.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.vitc.Cat.txt", append=TRUE)
lapply(mean.vitc.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.vitc.Cat.txt", append=TRUE)
lapply(mean.s.thiamin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.thiamin.Cat.txt", append=TRUE)
lapply(mean.f.thiamin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.thiamin.Cat.txt", append=TRUE)
lapply(mean.thiamin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.thiamin.Cat.txt", append=TRUE)
lapply(mean.s.riboflavin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.riboflavin.Cat.txt", append=TRUE)
lapply(mean.f.riboflavin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.riboflavin.Cat.txt", append=TRUE)
lapply(mean.riboflavin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.riboflavin.Cat.txt", append=TRUE)
lapply(mean.s.niacin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.niacin.Cat.txt", append=TRUE)
lapply(mean.f.niacin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.niacin.Cat.txt", append=TRUE)
lapply(mean.niacin.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.niacin.Cat.txt", append=TRUE)
lapply(mean.s.folate.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.folate.Cat.txt", append=TRUE)
lapply(mean.f.folate.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.folate.Cat.txt", append=TRUE)
lapply(mean.folate.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.folate.Cat.txt", append=TRUE)
lapply(mean.s.pyridoxine.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.pyridoxine.Cat.txt", append=TRUE)
lapply(mean.f.pyridoxine.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.pyridoxine.Cat.txt", append=TRUE)
lapply(mean.pyridoxine.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.pyridoxine.Cat.txt", append=TRUE)
lapply(mean.s.pantothenic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.pantothenic.Cat.txt", append=TRUE)
lapply(mean.f.pantothenic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.pantothenic.Cat.txt", append=TRUE)
lapply(mean.pantothenic.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.pantothenic.Cat.txt", append=TRUE)
lapply(mean.s.vitb12.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.vitb12.Cat.txt", append=TRUE)
lapply(mean.f.vitb12.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.vitb12.Cat.txt", append=TRUE)
lapply(mean.vitb12.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.vitb12.Cat.txt", append=TRUE)
lapply(mean.s.calcium.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.calcium.Cat.txt", append=TRUE)
lapply(mean.f.calcium.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.calcium.Cat.txt", append=TRUE)
lapply(mean.calcium.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.calcium.Cat.txt", append=TRUE)
lapply(mean.s.phos.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.phos.Cat.txt", append=TRUE)
lapply(mean.f.phos.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.phos.Cat.txt", append=TRUE)
lapply(mean.phos.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.phos.Cat.txt", append=TRUE)
lapply(mean.s.potassium.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.potassium.Cat.txt", append=TRUE)
lapply(mean.f.potassium.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.potassium.Cat.txt", append=TRUE)
lapply(mean.potassium.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.potassium.Cat.txt", append=TRUE)
lapply(mean.s.mag.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.mag.Cat.txt", append=TRUE)
lapply(mean.f.mag.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.mag.Cat.txt", append=TRUE)
lapply(mean.mag.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.mag.Cat.txt", append=TRUE)
lapply(mean.s.mang.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.mang.Cat.txt", append=TRUE)
lapply(mean.f.mang.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.mang.Cat.txt", append=TRUE)
lapply(mean.mang.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.mang.Cat.txt", append=TRUE)
lapply(mean.s.iron.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.iron.Cat.txt", append=TRUE)
lapply(mean.f.iron.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.iron.Cat.txt", append=TRUE)
lapply(mean.iron.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.iron.Cat.txt", append=TRUE)
lapply(mean.s.zinc.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.zinc.Cat.txt", append=TRUE)
lapply(mean.f.zinc.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.zinc.Cat.txt", append=TRUE)
lapply(mean.zinc.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.zinc.Cat.txt", append=TRUE)
lapply(mean.s.copper.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.s.copper.Cat.txt", append=TRUE)
lapply(mean.f.copper.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.f.copper.Cat.txt", append=TRUE)
lapply(mean.copper.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.copper.Cat.txt", append=TRUE)
lapply(mean.energy.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/mean.energy.Cat.txt", append=TRUE)
lapply(random.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/random.Cat.txt", append=TRUE)
lapply(DMM.16S, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/DMM.16S.txt", append=TRUE)
lapply(HeightInCm.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/HeightInCm.Cat.txt", append=TRUE)
lapply(WeightInKg.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/WeightInKg.Cat.txt", append=TRUE)
lapply(BMI.Cat, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/BMI.Cat.txt", append=TRUE)
lapply(CatsDogs, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/CatsDogs.txt", append=TRUE)
lapply(Siblings, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Siblings.txt", append=TRUE)
lapply(MonthOfSample, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/MonthOfSample.txt", append=TRUE)
lapply(SeasonOfSample, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/SeasonOfSample.txt", append=TRUE)
lapply(Asthma, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Asthma.txt", append=TRUE)
lapply(Celiac, write, "/Users/CMMR/Desktop/MP139_WGSpercentKruskal/Celiac.txt", append=TRUE)

#Be sure to clear object from workspace in between running different months
